Made loading gremlin.sh faster by not using maven
diff --git a/scripts/parse-classpath.py b/scripts/parse-classpath.py
new file mode 100755
index 0000000..2e60a1d
--- /dev/null
+++ b/scripts/parse-classpath.py
@@ -0,0 +1,34 @@
+#!/usr/bin/env python
+
+import sys
+from os import path
+from xml.dom import minidom
+
+# Location of the .classpath file relative to this script
+classpath_filename = "../.classpath"
+m2_repository = "~/.m2/repository"
+
+def parse_classpath_xml(classpath_file, abs_m2_repository):
+    xmldoc = minidom.parse(classpath_file)
+    classpathentries = xmldoc.getElementsByTagName('classpathentry')
+    classpath = ""
+    for entry in classpathentries:
+        kind = entry.attributes['kind'].value
+        if kind == "output" or kind == "var":
+            cp_entry = entry.attributes['path'].value + ":"
+            
+            classpath += cp_entry.replace("M2_REPO", abs_m2_repository)
+
+    print classpath[0:-1]
+
+if __name__ == "__main__":    
+    abs_m2_repository = path.expanduser("~/.m2/repository")
+
+    classpath_file = path.abspath(path.join(path.dirname(path.realpath(sys.argv[0])), classpath_filename))
+
+    try:
+        with open(classpath_file) as f:
+            parse_classpath_xml(f, abs_m2_repository)
+    except IOError:
+        print "Error reading classpath file from %s" % classpath_file
+        print "- Please check path is correct then run 'mvn eclipse:eclipse' to generate file"
diff --git a/titan/gremlin.sh b/titan/gremlin.sh
index e4895b0..55354e3 100755
--- a/titan/gremlin.sh
+++ b/titan/gremlin.sh
@@ -4,9 +4,18 @@
     MVN="mvn"
 fi
 
+BASE_DIR=`dirname $0`
 ONOS_DIR="`dirname $0`/.."
 #CP=$( echo `dirname $0`/../lib/*.jar `dirname $0`/../lib/titan/*.jar . | sed 's/ /:/g')
-CP=`${MVN} -f ${ONOS_DIR}/pom.xml dependency:build-classpath -Dmdep.outputFile=/dev/stdout -l /dev/stderr`
+#CP=`${MVN} -f ${ONOS_DIR}/pom.xml dependency:build-classpath -Dmdep.outputFile=/dev/stdout -l /dev/stderr`
+
+# Use a python script to parse the classpath out of the .classpath file
+CP=`${BASE_DIR}/../scripts/parse-classpath.py`
+
+if [[ "$CP" == *"Error reading classpath file"* ]]; then
+    echo $CP
+    exit 1
+fi
 
 # Find Java 
 if [ "$JAVA_HOME" = "" ] ; then
@@ -36,7 +45,9 @@
   if [ "$1" = "-v" ]; then
     $JAVA $JAVA_OPTIONS -cp $CP:$CLASSPATH com.tinkerpop.gremlin.Version
   else
+    pushd $BASE_DIR >/dev/null
     $JAVA $JAVA_OPTIONS -cp $CP:$CLASSPATH com.thinkaurelius.titan.tinkerpop.gremlin.Console
+    popd >/dev/null
   fi
 fi
 
diff --git a/titan/listDevices b/titan/listDevices
new file mode 100644
index 0000000..ea57f41
--- /dev/null
+++ b/titan/listDevices
@@ -0,0 +1,2 @@
+g.stopTransaction(SUCCESS);
+g.V('type', 'device').map;
\ No newline at end of file
diff --git a/titan/open b/titan/open
index 4442c0f..6efe890 100644
--- a/titan/open
+++ b/titan/open
@@ -1 +1 @@
-g = TitanFactory.open('cassandra.local')
\ No newline at end of file
+g = TitanFactory.open('/tmp/cassandra.titan')
\ No newline at end of file